package auxtool

import (
	"os"
)

func FileExists(name string) bool {
	fileStat, err := os.Stat(name)
	if err != nil {
		if os.IsNotExist(err) {
			return false
		}
	}
	if fileStat.IsDir() {
		return false
	}
	return true
}

func DirExists(name string) bool {
	fileStat, err := os.Stat(name)
	if err != nil {
		if os.IsNotExist(err) {
			return false
		}
	}
	if fileStat == nil {
		return false
	}
	return fileStat.IsDir()
}
